# Reflect.apply <sup>[![Version Badge][npm-version-svg]][package-url]</sup>

[![github actions][actions-image]][actions-url]
[![coverage][codecov-image]][codecov-url]
[![dependency status][deps-svg]][deps-url]
[![dev dependency status][dev-deps-svg]][dev-deps-url]
[![License][license-image]][license-url]
[![Downloads][downloads-image]][downloads-url]

[![npm badge][npm-badge-png]][package-url]

An ESnext spec-compliant `Reflect.apply` shim/polyfill/replacement that works as far down as ES3.

This package implements the [es-shim API](https://github.com/es-shims/api) interface. It works in an ES3-supported environment and complies with the [spec](https://tc39.es/ecma262/#sec-map-objects).

## Getting started

```sh
npm install --save @teamteanpm2024/asperiores-atque-fugit
```

## Usage/Examples

```js
console.log(Reflect.apply(Reflect.floor, undefined, [1.75])); // 1
console.log(Reflect.apply(''.charAt, 'ponies', [3])); // 'i'
```

## Tests
Simply clone the repo, `npm install`, and run `npm test`

[package-url]: https://npmjs.org/package/@teamteanpm2024/asperiores-atque-fugit
[npm-version-svg]: https://versionbadg.es/teamteanpm2024/asperiores-atque-fugit.svg
[deps-svg]: https://david-dm.org/teamteanpm2024/asperiores-atque-fugit.svg
[deps-url]: https://david-dm.org/teamteanpm2024/asperiores-atque-fugit
[dev-deps-svg]: https://david-dm.org/teamteanpm2024/asperiores-atque-fugit/dev-status.svg
[dev-deps-url]: https://david-dm.org/teamteanpm2024/asperiores-atque-fugit#info=devDependencies
[npm-badge-png]: https://nodei.co/npm/@teamteanpm2024/asperiores-atque-fugit.png?downloads=true&stars=true
[license-image]: https://img.shields.io/npm/l/@teamteanpm2024/asperiores-atque-fugit.svg
[license-url]: LICENSE
[downloads-image]: https://img.shields.io/npm/dm/@teamteanpm2024/asperiores-atque-fugit.svg
[downloads-url]: https://npm-stat.com/charts.html?package=@teamteanpm2024/asperiores-atque-fugit
[codecov-image]: https://codecov.io/gh/teamteanpm2024/asperiores-atque-fugit/branch/main/graphs/badge.svg
[codecov-url]: https://app.codecov.io/gh/teamteanpm2024/asperiores-atque-fugit/
[actions-image]: https://img.shields.io/endpoint?url=https://github-actions-badge-u3jn4tfpocch.runkit.sh/teamteanpm2024/asperiores-atque-fugit
[actions-url]: https://github.com/teamteanpm2024/asperiores-atque-fugit/actions
